# Automations

> Automations, their catalog and their runs.

Last updated: 2026-10-25. Source: https://docs.smartchat.marketing/en/api/reference/automations/

Automations, their catalog and their runs.

| Operation | Call | Permission | Risk |
|---|---|---|---|
| [Get automation catalog](https://docs.smartchat.marketing/en/api/reference/automations/get_automation_catalog/) | `GET /v1/automation-catalog` | `automations:read` | Read |
| [List automations](https://docs.smartchat.marketing/en/api/reference/automations/list_automations/) | `GET /v1/automations` | `automations:read` | Read |
| [Get automation](https://docs.smartchat.marketing/en/api/reference/automations/get_automation/) | `GET /v1/automations/{automation_id}` | `automations:read` | Read |
| [Create automation](https://docs.smartchat.marketing/en/api/reference/automations/create_automation/) | `POST /v1/automations` | `automations:write` | Write (no outside effect) |
| [Update automation](https://docs.smartchat.marketing/en/api/reference/automations/update_automation/) | `PATCH /v1/automations/{automation_id}` | `automations:write` | Write (no outside effect) |
| [Set automation status](https://docs.smartchat.marketing/en/api/reference/automations/set_automation_status/) | `PUT /v1/automations/{automation_id}/status` | `automations:write` | Write (no outside effect) |
| [List automation runs](https://docs.smartchat.marketing/en/api/reference/automations/list_automation_runs/) | `GET /v1/automations/{automation_id}/runs` | `automations:read` | Read |
| [Start automation run](https://docs.smartchat.marketing/en/api/reference/automations/create_automation_run/) | `POST /v1/automations/{automation_id}/runs` | `automations:run` | Send (reaches other people) |
| [Get inbound webhook](https://docs.smartchat.marketing/en/api/reference/automations/get_inbound_webhook/) | `GET /v1/automations/{automation_id}/inbound-webhook` | `hooks:read_secret` | Read |
